Page 3 of 3 FirstFirst 123
Results 21 to 24 of 24

Thread: Upgrade to 5.0 from 4.5.9 fails

  1. #21
    Join Date
    Jun 2006
    Posts
    3
    Rep Power
    9

    Default

    Quote Originally Posted by quanah View Post
    That is workable as well. Although I've never hit the issue using the Scalar::Util provided by RH on RHEL5 32/64. Do you know if your system had Scalar::Util installed at all prior to running the cpan command?
    Yes, Scalar::Util was already installed prior to forcing the installation.

  2. #22
    Join Date
    Nov 2006
    Posts
    31
    Rep Power
    9

    Default

    I was not able to get it to work following the thread everyone says the issue was closed. It worked for self-signed certs, but the commercial one I have (Thawte) it did not. In order to get a work around until it's fixed you can see what I did in this post: http://www.zimbra.com/forums/install...s-upgrade.html

    Quote Originally Posted by JoshuaPrismon View Post
    I am running CentOS 5 and also ran into this last night. I followed thoose instructions, but now am getting the following errors and no mail delivery:
    Code:
    Jan  1 09:18:04 hiro zimbramon[9700]: 9700:info: 2008-01-01 09:18:01, STATUS: www.technicaldetails.org: stats: Running 
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10017]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:08 hiro last message repeated 2 times
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10017]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10018]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:09 hiro last message repeated 2 times
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10018]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10019]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:09 hiro last message repeated 2 times
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10019]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:09 hiro postfix/master[6289]: warning: process /opt/zimbra/postfix-2.4.3.3z/libexec/trivial-rewrite pid 10017 exit status 1
    Jan  1 09:18:09 hiro postfix/master[6289]: warning: /opt/zimbra/postfix-2.4.3.3z/libexec/trivial-rewrite: bad command startup -- throttling
    I have not yet searched to see what might be causing this problem.

  3. #23
    Join Date
    Feb 2007
    Location
    Dallas, TX
    Posts
    39
    Rep Power
    8

    Default

    Quote Originally Posted by davidgrecco View Post
    I had the same problem with RHEL 5 32 bit when upgrading from 4.5.10 GA to 5.0 GA. This is what fixed it for me:

    From a root terminal session...

    cpan
    force install Scalar::Util

    Type quit when this finishes. This seems to fix the environment for a successful Zimbra 5 install/upgrade.
    Thanks for the reply David....I just got my 4.5.9 back up and running and will try to get to 4.5.10 tomorrow and then retry 5.0 sometime this weekend....

    Quote Originally Posted by mmorse View Post
    So what was your backup methodology?
    zmbackup? (follow the NE manual)
    Or a copy of your /opt/zimbra with rsync/disk images etc?
    I use an rsync script to keep /opt/zimbra in sync on another nfs server (probably the cause for a very slow copy back over). I do have zimbra running full and incremental backups every nite, but I was unsure of how the process would go as outlined in the admin guidelines....guess I need to install a test server and work through a disaster recovery process.

    Also thanks to mmorse and reckless2k2 for all their help and suggestions...

    I love zimbra...and all the upgrades I have done have been flawless...but this one had me worried...many thanks to all...
    Last edited by clayway; 01-01-2008 at 10:22 PM.
    Clay

  4. #24
    Join Date
    Sep 2006
    Location
    Space station 101
    Posts
    182
    Rep Power
    9

    Talking

    My system did not have Scalar::Util installed.

    Thanks again

    Good Luck

    Costa
    ------------------------------
    http://www.lcrm.co.uk

Similar Threads

  1. 4.5.10 -> 5.0 upgrade fails
    By InternetGuy in forum Administrators
    Replies: 3
    Last Post: 01-12-2008, 03:44 PM
  2. Successful upgrade from OpenSuSE 10.0 (4.5.9 to 5.0)
    By bradb21 in forum Installation
    Replies: 6
    Last Post: 01-02-2008, 11:02 AM
  3. Upgrade from ZCS 4.5.9 to ZCS 5.0 RC3
    By punit.jain in forum Installation
    Replies: 4
    Last Post: 12-31-2007, 07:49 AM
  4. ZCS 5.0 FOSS is Released!!!
    By jholder in forum Announcements
    Replies: 1
    Last Post: 12-21-2007, 12:21 PM
  5. ubuntu upgrade to 4.5.9 fails
    By jeepville in forum Installation
    Replies: 9
    Last Post: 11-01-2007, 11:44 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •